/*
 * #%L
 * *********************************************************************************************************************
 * 
 * SolidBlue - open source safe data
 * http://solidblue.tidalwave.it - hg clone https://bitbucket.org/tidalwave/solidblue-src
 * %%
 * Copyright (C) 2011 - 2013 Tidalwave s.a.s. (http://tidalwave.it)
 * %%
 * *********************************************************************************************************************
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 * 
 * *********************************************************************************************************************
 * 
 * $Id$
 * 
 * *********************************************************************************************************************
 * #L%
 */
package it.tidalwave.integritychecker.archive;

import it.tidalwave.integritychecker.archive.ScanRecord;
import it.tidalwave.integritychecker.archive.ScanRecord.Builder;
import java.nio.file.Path;
import javax.annotation.Nonnull;
import org.joda.time.DateTime;
import static org.testng.Assert.*;
import org.testng.annotations.AfterClass;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;
import static org.hamcrest.MatcherAssert.*;
import static org.hamcrest.CoreMatchers.*;

/***********************************************************************************************************************
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class ScanRecordTest 
  {
    @Test
    public void testBuilder (final @Nonnull Path path, final @Nonnull String signature, final @Nonnull DateTime scanDateTime) 
      {
        final Builder fixture = new ScanRecord.Builder().withFile(path)    
                                                        .withSignature(signature)
                                                        .withScanDateTime(scanDateTime);
        final ScanRecord scanRecord = fixture.build();
        
        assertThat(scanRecord.getFile(), sameInstance(path));
        assertThat(scanRecord.getSignature(), sameInstance(signature));
        assertThat(scanRecord.getScanDateTime(), sameInstance(scanDateTime));
      }
  }  
